@charset "UTF-8";
/* Gallery Stylesheet for drtarakpatel.com */
/* By Britton Lorentzen [brittonlorentzen@gmail.com, blorentz.com] */

/* Setup Gallery Widget */

.gallery-widget {
	display: grid;
	gap: 0rem;
	height: 600px;
	overflow: hidden;
	margin: 1rem auto;
	background: var(--color-white-000);
	border-radius: 1rem;
	-moz-border-radius: 1rem;
	-webkit-border-radius: 1rem;
}

.gallery-widget .selector {
	height: calc(600px - 4rem);
	border-right: 1px solid var(--color-white-200);
}

.gallery-widget .selector .filter-group {
	height: calc(100% - 4rem);
	position: relative;
	z-index: 1;
}

.gallery-widget .selector .filter-group::before {
	position: absolute;
	width: 100%;
	height: 4px;
	top: 0px;
	left: 0px;
	content: '';
	background: linear-gradient(rgba(0, 0, 0, 0.25), transparent);
}

.gallery-widget .selector .filter-group ul.main {
	display: flex;
	flex-direction: column;
	margin-inline-start: 0rem;
	height: 100%;
	list-style: none;
	overflow-y: scroll;
}

.gallery-widget .selector .filter-group ul li.main {
	display: flex;
	flex-direction: column;
	margin-bottom: 0px;
	border-top: 2px solid var(--color-black-900);
}

.gallery-widget .selector .filter-group ul li.main:first-child {
	border-top: none;
}

.gallery-widget .selector .filter-group ul li.main ul {
	display: flex;
	display: none;
	flex-direction: column;
	margin-inline-start: 1rem;
	list-style: none;
}

.gallery-widget .selector .filter-group ul li.main.active ul {
	display: flex;
}

.gallery-widget .selector .filter-group ul li.main ul li {
	display: flex;
	flex-direction: column;
}

.gallery-widget .selector button {
	width: 100%;
	background: transparent;
	box-shadow: none;
	border-radius: 0px;
	-moz-border-radius: 0px;
	-webkit-border-radius: 0px;
	padding: 1rem 0rem;
	color: var(--color-black-000);
}

.gallery-widget .selector button.active {
	color: var(--color-brand-500);
}

.gallery-widget .patients {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	height: 100%;
	overflow-y: scroll;
}

.gallery-widget .patients::-webkit-scrollbar,
.gallery-widget .selector .filter-group ul.main::-webkit-scrollbar,
.gallery-widget .patients::-webkit-scrollbar-track,
.gallery-widget .selector .filter-group ul.main::-webkit-scrollbar-track {
	width: 0.5rem;
	border-radius: 0.5rem;
	-webkit-border-radius: 0.5rem;
}

.gallery-widget .patients::-webkit-scrollbar-thumb,
.gallery-widget .selector .filter-group ul.main::-webkit-scrollbar-thumb {
	background-color: var(--color-brand-500);
	outline: 4px solid var(--color-white-000);
	border-radius: 0.5rem;
	-webkit-border-radius: 0.5rem;

}

.gallery-widget .patients .card {
	display: flex;
	flex-direction: column;
	width: calc(100% - calc(2rem + 2px));
	gap: 1rem;
	border: 1px solid var(--color-white-200);
	border-right: none;
	padding: 1rem;
}

.gallery-widget .patients .card span[subhead] {
	margin-bottom: 0px;
}

.gallery-widget .patients .card p {
	margin-bottom: 0px;
}

.gallery-widget .patients .card span.procedure-type {
	background: var(--color-brand-500);
	color: var(--color-white-000);
	display: flex;
	align-items: center;
	justify-content: center;
	width: fit-content;
	padding: 0.5rem 1rem;
	border-radius: 2rem;
	-moz-border-radius: 2rem;
	-webkit-border-radius: 2rem;
}

.gallery-widget .patients .card .patient-images {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 8px;
	margin: 8px 0px;
}

.gallery-widget .patients .card .patient-images .img-card {
	display: flex;
	flex-direction: column;
}

.gallery-widget .patients .card .patient-images .img-card img {
	width: 100%;
	height: 100%;
	max-width: 200px;
	max-height: 200px;
	border-radius: 1rem;
	object-fit: cover;
}

/* Age Filter */

.age-filter {
	display: flex;
	flex-direction: column;
	position: absolute;
	align-items: center;
	justify-content: center;
	text-align: center;
	left: 0px;
	top: 0px;
	z-index: 99;
	width: 100%;
	height: 100%;
	background: rgba(255, 255, 255, .99);
	backdrop-filter: blur(16px);
}

/* Style compare modal */

:modal {
	width: 80dvw;
	border: none;
	border-radius: 1rem;
	padding: 2rem;
}

dialog::backdrop {
	background: rgba(0, 0, 0, .85);
}

.compare-modal {
	display: flex;
	flex-direction: column;
}

.compare-modal .modal-images {
	display: flex;
	justify-content: center;
	gap: 16px;
	border-bottom: 2px solid var(--color-black-000);
	padding-bottom: 1rem;
	margin-bottom: 2rem;
}

.compare-modal .modal-images .img-section {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 16px;
}

.compare-modal .modal-images .img-section img {
	width: auto;
	height: 350px;
	object-fit: cover;
	border-radius: 1rem;
}

.compare-modal .modal-images .img-section p {
	margin-bottom: 0px;
}

.compare-modal .compare-btn-group {
	display: flex;
	gap: 16px;
	margin: 0px auto;
	justify-content: center;
	flex-wrap: wrap;
}

.compare-modal .compare-btn-group button {
	background: transparent;
	color: var(--color-black-000);
	border: 2px solid var(--color-black-000);
}

.compare-modal .compare-btn-group button.active {
	background: var(--color-brand-500);
	border: 2px solid var(--color-brand-500);
	color: var(--color-white-000);
}

/* Standard Desktop */

@media only screen and (max-width: 1440px) {}

/* Smaller Desktop */

@media only screen and (max-width: 1280px) {}

/* Tablet Breakpoints */

@media only screen and (max-width: 1024px) {}

@media only screen and (max-width: 768px) {}

/* Mobile Breakpoints */

@media only screen and (max-width: 640px) {

	/* Mobile Gallery */

	.gallery-widget {
		gap: 0px;
		height: fit-content;
	}

	.age-filter {
		width: auto;
	}

	.gallery-widget .selector {
		height: auto;
		width: calc(100vw - 4rem);
		border-right: none;
		box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.25);
	}

	.gallery-widget .selector .filter-group {
		display: flex;
		height: fit-content;
		gap: 1rem;
		flex-wrap: wrap;
		border-top: 1px solid var(--color-black-900);
		border-bottom: 1px solid var(--color-black-900);
	}

	.gallery-widget .selector .filter-group::before {
		width: 5px;
		height: 100%;
		background: linear-gradient(90deg, rgba(0, 0, 0, 0.25), transparent);
	}

	.gallery-widget .selector .filter-group::after {
		width: 5px;
		height: 100%;
		position: absolute;
		top: 0px;
		right: 0px;
		content: '';
		background: linear-gradient(90deg, transparent, rgba(0, 0, 0, 0.25));
	}

	.gallery-widget .selector .filter-group ul.main {
		padding: 1rem 0.5rem;
		gap: 1rem;
		flex-direction: row;
		height: fit-content;
		overflow-y: revert;
		overflow-x: scroll;
	}

	.gallery-widget .selector .filter-group ul li.main {
		flex-direction: column;
		gap: 1rem;
		border-top: none;
		margin-bottom: 0px;
	}

	.gallery-widget .selector .filter-group ul li.main.active {
		margin-bottom: 3rem;
	}

	.gallery-widget .selector .filter-group ul li.main ul {
		position: absolute;
		top: 4rem;
		left: 0px;
		flex-direction: row;
		height: fit-content;
		width: calc(100vw - 5rem);
		overflow-x: scroll;
		padding: 0rem 0.5rem 1rem 0.5rem;
		margin-inline-start: 0rem;
		gap: 1rem;
	}

	.gallery-widget .selector .filter-group ul li.main ul li {
		flex-direction: row;
		margin-bottom: 0px;
	}

	.gallery-widget .selector .filter-group ul.main::-webkit-scrollbar,
	.gallery-widget .selector .filter-group ul.main::-webkit-scrollbar-track {
		display: none;
	}

	.gallery-widget .selector .filter-group ul.main::-webkit-scrollbar-thumb {
		display: none;

	}

	.gallery-widget .selector button {
		width: max-content;
		height: fit-content;
		border-top: none;
		border: 2px solid var(--color-black-000);
		padding: 0.5rem 1rem;
		border-radius: 2rem;
		-moz-border-radius: 2rem;
		-webkit-border-radius: 2rem;
	}

	.gallery-widget .selector button.active {
		color: var(--color-white-000);
		border: 2px solid var(--color-brand-500);
		background: var(--color-brand-500);
	}

	.gallery-widget .patients {
		height: 400px;
		grid-template-columns: 1fr;
	}

	.gallery-widget .patients .card {
		border: none;
	}

	.gallery-widget .patients .card .patient-images {
		grid-template-columns: repeat(2, 1fr);
	}

	.gallery-widget .patients .card .patient-images .img-card img {
		width: 100%;
		height: 100%;
	}

	:modal {
		width: 85dvw;
		padding: revert;
	}

	.compare-modal .modal-images {
		flex-direction: column;
		gap: 8px;
	}

	.compare-modal .modal-images .img-section img {
		height: 200px;
	}

	.compare-modal .compare-btn-group button {
		padding: 0.75rem;
	}

}


@media only screen and (max-width: 480px) {}


@media only screen and (max-width: 375px) {}